import React from 'react';
import styles from './styles';
import { Pressable, Text, View } from 'react-native';
import useDateTimePicker from '../../Hooks/useDateTimePicker';
export default function Buttons({ onOk, onCancel }) {
    const { translation, theme } = useDateTimePicker();
    return (React.createElement(View, { style: styles.buttons_container },
        React.createElement(View, { style: styles.button_container },
            React.createElement(Pressable, { onPress: onCancel, style: [styles.button, styles.button_cancel], android_ripple: { borderless: true, color: theme.ButtonRipple } },
                React.createElement(Text, { style: { color: theme.DayText } }, translation?.cancel))),
        React.createElement(View, { style: styles.button_container },
            React.createElement(Pressable, { onPress: onOk, style: [styles.button, styles.button_ok], android_ripple: { borderless: true, color: theme.ButtonRipple } },
                React.createElement(Text, { style: { color: theme.DayText } }, translation?.ok)))));
}
//# sourceMappingURL=index.js.map